<?php
/**
 * Admin dashboard view
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="smart-survey-dashboard" class="wrap smart-survey-wrap smart-survey-admin">
  <div class="smart-survey-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <div class="smart-survey-main">
      <div class="smart-survey-main-info">
        <?php
        if ( isset( $_GET['create'] )) :
        ?>
        <div class="smart-survey-alert smart-survey-alert-success" style="display: block;">
          <?php _e( 'Successfully add a es survey.', ES_SURVEY_SLUG ); ?>
        </div>
        <?php
        elseif ( isset( $_GET['delete'] )) :
        ?>
        <div class="smart-survey-alert smart-survey-alert-success" style="display: block;">
          <?php _e( 'Successfully deleting a es survey.', ES_SURVEY_SLUG ); ?>
        </div>
        <?php
        endif;
        ?>
      </div>

      <div class="smart-survey-primary">
        <div class="_add-button mb30">
          <?php
          $link = admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME . '-create';
          ?>
          <a href="<?php echo $link; ?>" class="smart-survey-btn smart-survey-btn-success smart-survey-btn-sm _add-page">
            <i class="smart-survey-fa smart-survey-fa-plus-circle"></i>
            <?php _e( 'Add New ES Survey', ES_SURVEY_SLUG ); ?>
          </a>
        </div>

        <?php
        require_once( ES_SURVEY_LIB . '/list/listing.php' );
        $list = new ES_SURVEY_List_Boxes();
        $list->render();
        ?>
      </div>
    </div>

  </div>

</div>
