<?php $noQuestions = 5;?>
<?php $noAnswers = 6;
$list = $this->list; 
?>
<div class="question_setting_tab tab" style="display: none;">
      <h3 class="smart-survey-tab_headline"><strong>Survey Setting</strong> <small>Customize survey desing.</small></h3>
          <?php foreach ( ES_SURVEY_List_Boxes::$fields as $field ) {?>
  <!-- start: .smart-survey-field-row -->
      <div class="smart-survey-field-row smart-survey-field-x smart-survey-help-abs">
        <div class="smart-survey-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-<?php echo $field['id'];?>"><?php _e( $field['label'], ES_SURVEY_SLUG ); ?></label>
        </div>

        <!-- start: .smart-survey-field -->
        <div class="smart-survey-field col-lg-9 col-md-8 col-sm-12">
            <?php
            if( is_object($this->list) && get_post_meta( $this->list->ID, 'ES_SURVEY_options_' . $field['id'], true ) !== '')
			{
			 	$db_value = get_post_meta( $this->list->ID, 'ES_SURVEY_options_' . $field['id'], true );
			}
			else
			{
				$db_value = isset($field['default'])?$field['default']:'';
			}
			?>
            <?php
			switch ( $field['type'] ) {
				case 'button':
					$hide_off_active = '';
					$show_on_active = '';
					if( $db_value ==  'true' )
						$show_on_active = "smart-survey-btn-on active";
					if( $db_value  == 'false')
					{
						$hide_off_active = "smart-survey-btn-off active";
					}
					$input = sprintf(
						'<div class="smart-survey-onoff">
									<div class="smart-survey-btn-group">
						  <button data-value="true" class="smart-survey-btn-onoff smart-survey-btn-on %s" type="button">Show</button>
						  <button data-value="false" class="smart-survey-btn-onoff %s" type="button">Hide</button>
						</div>
						<input type="hidden" class="smart-survey-onoff-value" id="%s" name="%s" value="%s">
					  </div>',
						$show_on_active,
						$hide_off_active,
						$field['id'],
						$field['id'],
						$db_value
					);
					break;
				case 'dropdown':
					$dropdown_options = '';
					$values = isset($field['values'])?$field['values']:array();
					if(is_array($values))
					 foreach( $values as $key => $val)
					 {
						$dropdown_options .= '<option value="'.$key.'" '.( ($key == $db_value)?'selected':'') .'>'.$val.'</option>';
					 }
					$input = sprintf(
						'<select id="%s" name="%s">%s</select>',
						$field['id'],
						$field['id'],
						$dropdown_options
					);
					break;	
				case 'checkbox':
					$input = sprintf(
						'<input %s id="%s" name="%s" type="checkbox" value="1">',
						$db_value === '1' ? 'checked' : '',
						$field['id'],
						$field['id']
					);
					break;	
				case 'textarea':
					$input = sprintf(
						'<textarea id="%s" name="%s" cols=%d rows=%d>%s</textarea>',
						$field['id'],
						$field['id'],
						$field['cols'],
						$field['rows'],
						$db_value
					);
					break;	
				case 'media':
					$input = sprintf(
						'<input class="regular-text" id="%s" name="%s" type="text" value="%s"> <input class="button rational-metabox-media" id="%s_button" name="%s_button" type="button" value="Upload" />',
						$field['id'],
						$field['id'],
						$db_value,
						$field['id'],
						$field['id']
					);
					break;
				default:
					$input = sprintf(
						'<input %s id="%s" name="%s" type="%s" value="%s">',
						$field['type'] !== 'color' ? 'class="smart-survey-input smart-survey-input-full smart-survey-input-v-lg"' : 'class="smart-survey-color-field"',
						$field['id'],
						$field['id'],
						$field['type'],
						$db_value
					);				
			}
            ?>
              <?php echo $input;?> <?php if($field['discription']):?>
          <div class="smart-survey-help">
            <a class="smart-survey-btn-help smart-survey-btn smart-survey-btn-default" href="#"><i class="smart-survey-fa smart-survey-fa-question"></i></a>
            <div class="smart-survey-help-content smart-survey-hide"><?php _e( $field['discription'], ES_SURVEY_SLUG ); ?>
            </div>
          </div>
          <?php endif;?>
            </div>
        <!-- end: .smart-survey-field -->
      </div>
      <!-- end: .smart-survey-field-row -->
 <?php } ?> 
      
</div>    