<?php
if ( !defined( 'ABSPATH' ) ) exit;

class ES_SURVEY_ShortCodes{
	
	public static function init(){
		add_shortcode( 'ecommerce_smart_survey', array( __CLASS__, 'survey' ) );
	}
	
	public static function survey( $atts ){
		//$obj_smart = new ES_SURVEY_StepProcess();
		global $ES_SURVEY_StepProcess;
		$atts = shortcode_atts( array(
				'id' => '',
				'title' => __( 'Survey', 'smart-survey-locale' )
			),
			$atts );
		
		if( '' == $atts[ 'id' ] ):
			_e( 'Please enter an id in the survey shortcode!', 'smart-survey-locale' );
			return;
		endif;
		
		if( ! $ES_SURVEY_StepProcess->ES_SURVEY_form_exists( $atts[ 'id' ] ) ):
			_e( 'Survey not found. Please enter another ID in your shortcode.', 'smart-survey-locale' );
			return;
		endif;
		
		return $ES_SURVEY_StepProcess ->show_survey( $atts[ 'id' ] );
	}	
}
ES_SURVEY_ShortCodes::init();