<?php
/**
 * Manage listing view
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$list = $this->list;
?>
<div id="smart-survey-manage-listing" class="wrap smart-survey-wrap smart-survey-admin">
  <div class="smart-survey-inner">
    <?php
    if ( $list ) {
        $this->title = $list->post_title;
        $this->info  = '<i class="smart-survey-fa smart-survey-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $list->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->pageId = ES_SURVEY_PAGENAME . '-create';
        $this->title = __( 'Create ES Survey', ES_SURVEY_SLUG );
        $this->info  = 'Creating new es survey';
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ecommerce_smart_survey=1&action=update_listing';
    ?>
    <div class="smart-survey-main">
      <div class="smart-survey-main-info"></div>

      <div class="smart-survey-primary">
        <div class="smart-survey-manage-wrap smart-survey-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="smart-survey-form-container smart-survey-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="listing_id" id="smart-survey-value-listingid" value="<?php echo $this->listId; ?>" />

            <div class="container-fluid container">

              <div class="smart-survey-manage-content">
                  <div class="smart-survey-manage-info ">
                    <div class="row">
                      <div class="col-md-4">
                        <!--<div class="smart-survey-tab-title">
                          <i class="smart-survey-fa smart-survey-fa-cogs"></i>
                          <div class="smart-survey-title-text">
                            <h3> <?php _e( 'General', ES_SURVEY_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your ES Survey', ES_SURVEY_SLUG ); ?></p>
                          </div>
                        </div>-->
                      </div>
                      <div class="col-md-8">
                        <div class="smart-survey-top-submit">
                          <button type="submit" class="smart-survey-form-submit smart-survey-btn smart-survey-btn-secondary smart-survey-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                          
                            <i class="smart-survey-fa smart-survey-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                           <?php if( 0 && isset( $list->ID )) :?>
                          <button type="submit" class="smart-survey-form-submit smart-survey-btn smart-survey-btn-secondary smart-survey-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                          <i class="smart-survey-fa smart-survey-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> Publish</strong>
                          </button>
                          <?php endif;?>
                          <?php
                          if ( $list ) {
                            echo '<p class="smart-survey-update-info">' .
                              __( 'Last Update', ES_SURVEY_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $list->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'admin/main/content' );
                  ?>

                  <div class="smart-survey-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="smart-survey-bottom-submit">
                          <button type="submit" class="smart-survey-form-submit smart-survey-btn smart-survey-btn-secondary smart-survey-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="smart-survey-fa smart-survey-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="smart-survey-bottom-action text-right">
                          <?php
                          if ( $list ) :
                          ?>
                          <a href="#" class="smart-survey-btn smart-survey-btn-danger smart-survey-btn-lg smart-survey-item-listing-delete smart-survey-delete-edit" data-id="<?php echo $list->ID; ?>">
                              <i class="smart-survey-fa smart-survey-fa-trash"></i>
                              <?php _e( 'Delete', ES_SURVEY_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>

            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
