<?php $noQuestions = 5;?>
<?php $noAnswers = 6;
$list = $this->list; 
?>
<div class="smart-survey-surveyEditor row response1 smart-survey-clearfix">
  <div class="col-sm-3 smart-survey-question-sidebar">
    <div id="smart-survey-survey_settings">
      <div>
        <label class="control-label" for="name">Survey name</label>
      </div>
      <div>
        <input type="text" name="list_name" id="list_name" value="<?php echo $list->post_title?>" class="smart-survey-form-control">
      </div>
      <div>
        <label class="control-label" for="Group_tag">Survey Description</label>
      </div>
      <div>
        <textarea name="survey-description"><?php echo $list->post_content?></textarea>
      </div>
    </div>
    <div class="smart-survey-selectNoQuestions">
      <strong>Questions:</strong>
      <?php
      
	  ?>
      <select name="no_of_questions" id="no_of_questions" class="smart-survey-form-control">
        <?php 
		$no_of_questions = 0;
		if( isset($list) && isset( $list->ID ) && get_post_meta( $list->ID, '_no_of_questions', true )) :
			$no_of_questions = get_post_meta( $list->ID, '_no_of_questions', true );
		endif;
		?>
        <option value="0">Show Only Trigger Question</option>
        <?php for( $i = 2; $i <= $noQuestions ; $i++ ) {?>
        <option value="<?php echo ($i-1); ?>" <?php echo ( ($i-1) == $no_of_questions )?'selected="selected"':''?>><?php echo $i; ?> Question</option>
        <?php } ?>
      </select>
    </div>
    <div style="padding: 0 15px">
      <?php for( $i = 1; $i <= $noQuestions ; $i++ ) {?>
      	<?php if( $i == $noQuestions ) :?>
        <a href="#" data-tab="question<?php echo $i; ?>_tab" class="question<?php echo $i; ?>">Trigger Question</a>
        <?php else:  ?>
        <a href="#" data-tab="question<?php echo $i; ?>_tab" class="question<?php echo $i; ?>">Question <?php echo $i; ?></a>
		<?php endif;?>
      <?php } ?>
      
      <a href="#" style="padding-top:20px; display:block;" data-tab="question_setting_tab" class="question_setting">Survey Setting</a>
    </div>
  </div>

  <div class="col-sm-9 smart-survey-mainContent">

    <!-- ************************************************************************************************ -->
    <!-- ************************************************************************************************ -->
    <?php for( $i = 1; $i <= $noQuestions ; $i++ ) {?>
    	<?php if( $i < $noQuestions ) :?>
	        <!-- Question <?php echo $i; ?> -->
	    	<div class="question<?php echo $i; ?>_tab tab" style="display: none;">
      <h3 class="smart-survey-tab_headline"><strong>Survey Question #<?php echo $i; ?></strong> <small>Fill out the form below to set up your survey.</small></h3>
      <div class="row question-details">
        <?php $this->display_question( $i );?>
		<?php 
			//Display Answer
			for( $ans_no = 1; $ans_no <= $noAnswers ; $ans_no++ ):?>
			<?php $this->display_answer( $i, $ans_no  );?>
            <?php if($ans_no % 2 == 0 && $ans_no < $noAnswers ): ?>	
        	<br clear="all"><br clear="all">        
            <?php endif;?>
		<?php endfor;?>       
      </div>
    </div>
    	<?php else: ?>
        	 <!-- Trigger Question -->
   			 <div class="question<?php echo $i; ?>_tab tab" style="display: none;">
      <h3 class="smart-survey-tab_headline"><strong>Survey Trigger Question</strong> <small>The trigger question is the key to the survey. This is where you will segment your users by having them tell you exactky what they want. You can either forward users to another survey or a specific URL.</small></h3>

      <div class="row question-details">
        <?php $this->display_question( $i );?>
        <?php 
			//Display Answer
			for( $ans_no = 1; $ans_no <= $noAnswers ; $ans_no++ ):?>
			<?php $this->display_answer( $i, $ans_no, 'bucket'  );?>
            <?php if($ans_no % 2 == 0 && $ans_no < $noAnswers ): ?>	
        	<br clear="all"><br clear="all">        
            <?php endif;?>
		<?php endfor;?>        
      </div>
    </div>
        <?php endif; ?>
    <?php } ?>
    
    <!-- Displaying Survey Setting -->
    <?php $this->view( 'admin/main/survey-setting' );?>
    
  </div>
  <div id="questions_number" data-questions="<?php echo  $no_of_questions;?>" style="display: none;"></div>
</div>